Download it now!
Bug 106229 - New icon for infobar type success needed
Summary: New icon for infobar type success needed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:7.1.0 target:7.0....
Keywords: easyHack, skillDesign, topicDesign
Depends on:
Blocks: Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2017-02-28 10:56 UTC by Heiko Tietze
Modified: 2020-07-05 11:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-02-28 10:56:38 UTC
The updated infobar (bug 105829) uses icons to indicate the type additionally to the background color. It uses "vcl/res/infobox.svg" for info, "vcl/res/warningbox.svg" for warning and "vcl/res/errorbox.svg" for danger but "cmd/lc_apply.svg" for success. So we need good vcl/res icons for the latter. 

Icons are located at ./icon-themes/*/vcl/res.
Comment 1 andreas_k 2019-04-21 22:42:08 UTC
heiko what do you need? it's an icon bug so what icon do you need?
Comment 2 Heiko Tietze 2019-04-22 09:01:57 UTC
(In reply to andreas_k from comment #1)
> heiko what do you need? it's an icon bug so what icon do you need?

All code pointers are in c0. We just don't have any icon (neither a use case) for this type of info bar.
Comment 3 Commit Notification 2019-04-25 08:42:57 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/36534437d773dc517a348331c6a6e9336f390e90%5E%21

tdf#106229 new icon for infobar type success needed

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 andreas_k 2019-04-25 08:48:58 UTC
icon-themes/*/vcl/successbox.svg was added so you can use it in the infobar.
Comment 5 Heiko Tietze 2019-04-25 09:20:59 UTC
(In reply to andreas_k from comment #4)
> icon-themes/*/vcl/successbox.svg was added so you can use it in the infobar.

It is correctly vcl/res/successbox but there is only one svg yet. Please double check. Meanwhile I modified the code to read the new icon https://gerrit.libreoffice.org/#/c/71285/
Comment 6 Commit Notification 2019-04-25 13:00:04 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/16751ae50c96443fb2027d6de5a1dbcf88d78763%5E%21

tdf#106229 - New icon for infobar type success needed

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-27 04:05:07 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4842d8f51fe5b6d8b3e8dca559b7fac550f14fbe

Karasa Jaga: tdf#133753, tdf#133582, tdf#106229

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-27 06:58:30 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/622bf0d6695e61b73312289a228e29b92ca842b3

Karasa Jaga: tdf#133753, tdf#133582, tdf#106229

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-05 01:30:22 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ed8356ec56e3d7223db62e2eda84fa0e133139de

Colibre tdf#133268, Sukapura tdf#106229

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-05 11:39:25 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/72bb13af1808b27a293e09a3ead2aadd049e9ec1

Colibre tdf#133268, Sukapura tdf#106229

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.